# Retrieve Profile by Username GET /api/v1/iam/profile/{username}/ Retrieves the IAMUser profile based on a username (or email) provided in the URL path. The endpoint returns detailed profile information using the IAMUserDetailViewSerializer. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/iam/profile-retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/iam/profile/{username}/: get: operationId: profile-retrieve summary: Retrieve Profile by Username description: >- Retrieves the IAMUser profile based on a username (or email) provided in the URL path. The endpoint returns detailed profile information using the IAMUserDetailViewSerializer. tags: - subpackage_iam parameters: - name: username in: path description: The username or email of the user. required: true schema: type: string responses: '200': description: User profile details. content: application/json: schema: $ref: '#/components/schemas/IAMUserDetailView' '404': description: User not found. content: application/json: schema: description: Any type components: schemas: DeveloperSkill: type: object properties: id: type: integer name: type: string description: type: - string - 'null' required: - id - name title: DeveloperSkill InvestmentInterest: type: object properties: id: type: integer name: type: string description: type: - string - 'null' required: - id - name title: InvestmentInterest Tag: type: object properties: name: type: string required: - name title: Tag IAMUserDetailView: type: object properties: user_id: type: string full_name: type: string email: type: string format: email username: type: string created_at: type: string format: date-time profile_picture: type: string format: uri bio: type: string address: description: Any type country: type: string phone: type: string dob: type: string format: date linkedin_url: type: string format: uri github_url: type: string format: uri twitter_url: type: string format: uri facebook_url: type: string format: uri website_url: type: string format: uri portfolio_url: type: string format: uri skills: type: array items: type: integer investment_interests: type: array items: type: integer technical_interests: type: array items: type: integer focus_area: type: array items: type: integer resume: type: string format: uri company_info: description: Any type communication_preferences_phone: type: boolean communication_preferences_email: type: boolean platform_features_emails: type: boolean activity_based_emails: type: boolean skills_data: type: array items: $ref: '#/components/schemas/DeveloperSkill' investment_interests_data: type: array items: $ref: '#/components/schemas/InvestmentInterest' technical_interests_data: type: array items: $ref: '#/components/schemas/DeveloperSkill' focus_area_data: type: array items: $ref: '#/components/schemas/Tag' additional_data: oneOf: - description: Any type - type: 'null' followers_count: type: integer following_count: type: integer is_following: type: boolean is_followed_back: type: boolean is_current_user: type: boolean top_domain_elo: type: number format: double top_domain_rank: type: integer streak: type: string highest_streak: type: string streak_freeze_days: type: string title: type: string unlocked_titles: type: string required: - user_id - full_name - email - username - created_at - profile_picture - bio - address - country - phone - dob - linkedin_url - github_url - twitter_url - facebook_url - website_url - portfolio_url - resume - company_info - communication_preferences_phone - communication_preferences_email - platform_features_emails - activity_based_emails - skills_data - investment_interests_data - technical_interests_data - focus_area_data - followers_count - following_count - is_following - is_followed_back - is_current_user - top_domain_elo - top_domain_rank - streak - highest_streak - streak_freeze_days - title - unlocked_titles title: IAMUserDetailView ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/iam/profile/username/" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/iam/profile/username/'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/iam/profile/username/" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/iam/profile/username/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/iam/profile/username/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v1/iam/profile/username/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/iam/profile/username/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/iam/profile/username/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```